Package com.scriptel.proscript.cardswipe

## Class IdentificationCardTrackOne

- java.lang.Object
- - com.scriptel.proscript.cardswipe.IdentificationCardTrackOne

-     public class IdentificationCardTrackOne
      extends java.lang.Object

  This class represents track one of the magnetic strip of an identification card, such as a United States drivers license.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdentificationCardTrackOne()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAddress()` | Gets the address of the card-holder.
    `java.lang.String` | `getCity()` | Gets the card-holders city.
    `java.lang.String` | `getDiscretionaryData()` | Gets vendor-specific discretionary data.
    `java.lang.String` | `getFirstName()` | Gets the first name of the card-holder.
    `java.lang.String` | `getLastName()` | Gets the last name of the card-holder.
    `java.lang.String` | `getMiddleName()` | Gets the middle name of the card-holder.
    `java.lang.String` | `getState()` | Gets the card-holders state.
    `static IdentificationCardTrackOne` | `parse​(java.lang.String trackData)` | This method attempts to parse the first track of data out of a magnetic strip string.
    `java.lang.String` | `toString()` | Returns this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentificationCardTrackOne

          public IdentificationCardTrackOne()

  - ### Method Detail

    - #### parse

          public static IdentificationCardTrackOne parse​(java.lang.String trackData)

      This method attempts to parse the first track of data out of a magnetic strip string.
      Parameters:
        `trackData` - Data to parse from.
      Returns:
        IdentificationCardTrackOne if data can be parsed, null otherwise.

    - #### toString

          public java.lang.String toString()

      Returns this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String containing human readable string.

    - #### getState

          public java.lang.String getState()

      Gets the card-holders state.
      Returns:
        the state

    - #### getCity

          public java.lang.String getCity()

      Gets the card-holders city.
      Returns:
        the city

    - #### getLastName

          public java.lang.String getLastName()

      Gets the last name of the card-holder.
      Returns:
        the lastName

    - #### getFirstName

          public java.lang.String getFirstName()

      Gets the first name of the card-holder.
      Returns:
        the firstName

    - #### getMiddleName

          public java.lang.String getMiddleName()

      Gets the middle name of the card-holder.
      Returns:
        the middleName

    - #### getAddress

          public java.lang.String getAddress()

      Gets the address of the card-holder.
      Returns:
        Address of card holder.

    - #### getDiscretionaryData

          public java.lang.String getDiscretionaryData()

      Gets vendor-specific discretionary data.
      Returns:
        the discretionaryData